﻿/*
Colors :
- #40403F
- #4D4D4C
- #7F7F7E
- #E5E5E3
- #F0F0F0
*/

/* Imports */

@import url("pygment.css");


/* Layout */

article,
figcaption,
figure,
footer,
header,
nav,
section{
  display: block;
}

html {
  font-size: 100%;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

body {
  font-family: 'Verdana', sans-serif;
  line-height: 150%;
  text-align: left;
  padding: 0;
  margin: 0;
}

header {
  margin:0
}

[role=banner]{
  background-color: #54b4eb /*linear-gradient(#54b4eb, #2FA4E7 60%, #1d9ce5)*/;
  height: auto;
  line-height: 50px;
  padding: 0 1%;
  position: fixed;
  width: 100%;
  margin: 0;
}

.wrapper {
    margin-top: 0;
    padding: 50px 0 0 0;
    display:flex;
    flex-flow: row wrap;
  	width: 100%;
}

.content {
  border-left: 1px solid #d6d6d6;
  border-right: 1px dotted #D6D6D6;
  padding: 0 20px 1em 20px;
  width: calc(70% - 50px - 10em);
  overflow: auto;
}

.sidebar {
  width: 30%;
  border-right: 1px solid #d6d6d6;
  padding: 0 10px 1em 0;
}

.left-sidebar {
  min-width: 8em;
  width: 8em;
  border-right: 1px solid #d6d6d6;
  padding: 0 10px 1em 10px;
  height: inherit;
  overflow: auto;
}

.left-sidebar nav {
  position:fixed;
}

.left-sidebar ul {
  list-style-type: none;
  padding:0;
}

.left-sidebar li a{
  display: block;
  text-decoration: none;
}

.left-sidebar li a.active{
  background-color: #4CAF50;
  color: white;
}

.left-sidebar li a.:hover:not(.active){
  background-color: #555;
  color: white;
}


footer {
  border-top: 1px dotted #D6D6D6;
  line-height: 80%;
  padding: 0 1em;
  font-size: 0.8em;
}


/* Header */

header a {
  color: #E5E5E3;
  border-bottom: none;
}

header a.title {
  font-size: 2em;
}

header .feeds {
  float: right;
  padding-top: 9px;
  padding-right: 1.5em;
}

header .feeds a {
  display: inline-block;
  padding-right: 5px;
}

header .feeds a:hover,
header .feeds a:active {
  border-bottom: none;
}

header .pages {
  float: right;
}

header .pages a {
  font-size: 1.1em;
}

#openmenu{
  display: inline-block;
  width: 1.5em;
}
#openmenu svg{
  height: 1.7em;
}

#closemenu{
  float: right;
  width: 1.5em;
}
#closemenu svg{
  height: 1.7em;
}

.menu-content{
  display: none;
  color: #4D4D4C;
}
/* Sidebar */

/* Titles */

h1, h2, h3, h4, h5, h6 {
    font-family: "Verdana",sans-serif;
    font-weight: 400;
    text-shadow: 0.1em 0.1em 0.1em #EFEFEF;
    line-height: 125%;
}

h1 {
  font-size: 1.8em;
  margin: 0.67em 0;
  padding: 0.7em 0 0.3em;
}

h1 a {
  color: inherit;
  border-bottom: none;
}


/* Texts */

p {
  margin: 0.8em 0 0.5em;
}

a {
  text-decoration: none;
  border-bottom: 1px dotted #4D4D4C;
  color: #4D4D4C;
}

a:hover, a:active {
  text-decoration: none;
  border-bottom: 1px dotted #4271AE;
  color: #4271AE;
}

.literal {
  font-size: 0.9em;
  border: 1px solid #F0F0F0;
  padding: 0px 5px;
}

pre {
  font-family: 'Verdana',monospace;
  background: none repeat scroll 0 0 #F0F0F0;
  border-radius: 2px;
  font-size: 0.9em;
  font-style: normal;
  letter-spacing: 0.015em;
  line-height: 130%;
  padding: 0.7em;
  white-space: pre-wrap;
  word-wrap: break-word;
}

hr {
  margin: 40px 5% 60px 5%;
  color: #d6d6d6;
  box-shadow: 0.1em 0.1em 0.1em #EFEFEF;
  border-radius: 5px;
}


/* Article */

article.summary {
  margin-bottom: 40px;
  clear: both;
}

article.full .metadata,
article.summary .metadata {
  font-style: italic;
}

.metadata p {
  margin: 0;
}

/* Listings */

ol.archive li {
  margin: 8px 0;
}

ol.archive li time,
ol.archive li .tags
 {
  line-height: 140%;
  font-size: 0.8em;
  margin: 0;
}


/* Social */

.social {
  list-style-type: none;
  padding-left: 0px;
}

.social li {
  clear: both;
  margin-bottom: 15px;
}

.social a {
    border-bottom: none;
}

a[id*='Buddycloud']::before {content: url('../images/icons/buddycloud-18px.png'); margin-right: 5px; vertical-align: -15%; }
a[id*='Diaspora']::before {content: url('../images/icons/Diaspora-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Friendica']::before {content: url('../images/icons/friendica-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Forgejo']::before {content: url('../images/icons/forgejo-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Funkwhale']::before {content: url('../images/icons/funkwhale-16.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Gitea']::before {content: url('../images/icons/gitea-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Github']::before {content: url('../images/icons/github-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Gitlab']::before {content: url('../images/icons/gitlab-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Gnusocial']::before {content: url('../images/icons/gnusocial-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Hubzilla']::before {content: url('../images/icons/hubzilla-16.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Mastodon']::before {content: url('../images/icons/mastodon-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Matrix']::before {content: url('../images/icons/matrix-16.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Misskey']::before {content: url('../images/icons/misskey-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Movim']::before {content: url('../images/icons/movim-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Peertube']::before {content: url('../images/icons/peertube-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Pixelfed']::before {content: url('../images/icons/pixelfed-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Pleroma']::before {content: url('../images/icons/pleroma-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Plume']::before {content: url('../images/icons/plume-16.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='Pump.io']::before {content: url('../images/icons/pumpio-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='RedMatrix']::before {content: url('../images/icons/redmatrix-18px.png'); margin-right: 5px; vertical-align: -15%;}
a[id*='XMPP']::before {content: url('../images/icons/xmpp-18px.png'); margin-right: 5px; vertical-align: -15%;}
.social a[href*='rss.xml']:before {content: url('../images/icons/feed-18px.png'); margin-right: 5px; vertical-align: -15%;}
.social a[href*='atom.xml']:before {content: url('../images/icons/feed-18px.png'); margin-right: 5px; vertical-align: -15%;}


/* Tag cloud */

ul.tagcloud {
  list-style: none;
  padding: 0;
  width: 90%;
  margin: 0 auto;
  line-height: 200%;
}

ul.tagcloud li {
    display: inline-block;
}

li.tag-1 { font-size: 100%; margin: 0 1em; }
li.tag-2 { font-size: 80%; margin: 0 1em; }
li.tag-3 { font-size: 70%; margin: 0 1em; }
li.tag-4 { font-size: 60%; margin: 0 1em; }

/* Pagination */

.pagination {
  width: 100px;
  margin: 1em auto;
}

/* Federation Social Widget */
#federation_widget {
font-size: 0.7em;
margin-top: 20px;
height: 350px;
width: 230px;
padding: 0;
border-radius: 5px;
background-color: #FcFcFc;
overflow-y: auto;
}

#federation_widget header {
padding-bottom: 8px;
text-align: left;
font-size: 1.5em;
border-bottom: 3px solid #EEEEEE;
background-color: #FcFcFc;
border-top-left-radius: 5px;
border-top-right-radius: 5px;
}

#federation_widget header a {
text-decoration: none;	
color:black
}

#federation_widget header img {
margin: 5px;
background-color: #ffffff;
border-radius: 5px;
float: left;
max-width: 50px;
}

#federation_widget header p {
margin: 0px;
line-height: 60px;
}

#federation_widget article {
display: block;
margin-bottom: 5px;
padding: 5px;
border-bottom: thin solid #eeeeee;
overflow: hidden; /* For too long link: hide but enable click on it */
}

#federation_widget article img {
margin: 5px;
max-width: 230px;
}

#federation_widget article p {
margin-top: 0px;
}

.groupmember img {
border-radius: 5px;
}

.tooltip {position: relative;}
.tooltip span {display: none;}
.tooltip:hover span {
display: block;
position: absolute;
left: 0; top: 10%;
margin: 20px 0 0;
width: 300px;
font-size: 0.7em;
color: #4D4D4C;
border: thin solid #eeeeee;
padding: 4px;
background: white;
}



/* Friendica Comments */
#comments {
  border-top: thin solid #eeeeee;
  padding-top: 15px;
  display: table;
  margin-left: 60px;
  width: calc(100% - 60px);
}

.comment-container {
  display: table-cell;
  float: right;
  min-width: 100%;
  padding: 5px;
  border-bottom: thin solid #eeeeee;
  }

.contact-photo {
  float: left;
  width: 60px;
  height: 60px;
  margin-left: 16px;
  margin-right: 16px;
}

.wall-item-actions-author {
  height: 10px;
  font-size: 70%;
}
.wall-item-content {
  margin-top: 10px;
  font-size: 90%;
  text-align: left;
 }


/* Menu */
input {
  display: none;
}
.menu {
  position: fixed;
  right: 0;
  float: left;
  margin: 0;
  padding: 10px;
  width: 300px;
  height: 100%;
  overflow: auto;
  z-index: 2;
  background: #54b4eb;
  transition: transform 0.4s ease;
  transform: translateX(110%);
}

.menu ul {
  list-style-type: none;
  padding-top: 1.5em;
}

.menu a {
  color: #E5E5E3;
}

input:checked ~ nav{
  transform: translateX(0%);
}

/* Responsive */

@media (max-width: 900px) {
  
  body {
    min-width: 300px;
  }

  header a.title {
    font-size: 1.3em;
  }

  .menu-content{
    display: block;
  }

  .sidebar nav,
  .social,
  .left-sidebar {
    display: none;
  }

  h1 {
    font-size: 1.4em;
    margin: 0.3em 0;
    padding: 0.3em 0 0.1em;
  }

  h2 {
    font-size: 1.2em;
  }

  .container {
    border-right: none;
  }  
  
  .wrapper {
    padding: 100px 20px 20px 20px;
    float: none;
    width: 90%;
  }

  .wrapper .sidebar, 
  .wrapper .content {
      display: block;
      position: static;
      padding: 0px 5px 1em;
      border-left: none;
      border-right: none;
      width: 100%;
      height: auto;
      -moz-box-sizing: border-box;
      box-sizing: border-box;
  }

  .left-sidebar nav {
      position: static;
  }

  ul.tagcloud {
      margin: 0;
  }
}
